Skip to main content
GET
/
v1
/
public
/
plugins
List Public Plugins
curl --request GET \
  --url https://api.mixpeek.com/v1/public/plugins/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "public_name": "<string>",
      "publisher_organization_name": "<string>",
      "version": "<string>",
      "trust_tier": "community",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "display_name": "<string>",
      "description": "<string>",
      "capabilities": [
        "batch"
      ],
      "tags": [
        "<string>"
      ],
      "category": "<string>",
      "icon_base64": "<string>",
      "install_count": 0
    }
  ],
  "total_count": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.mixpeek.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (1-indexed)

Required range: 1 <= x <= 500
page_size
integer
default:20

Results per page

Required range: 1 <= x <= 1000
search
string | null

Search query

Maximum string length: 200
category
string | null

Filter by category

Maximum string length: 50
capability
string | null

Filter by capability (batch, realtime)

tags
string[] | null

Filter by tags (all must match)

Response

Successful Response

results
PublicPluginListItem · object[]
required
total_count
integer
required
page
integer
required
page_size
integer
required
total_pages
integer
required